### Constructor

# Gtk.Viewport.new

#### Declaration [src]

    GtkWidget*
    gtk_viewport_new (
      GtkAdjustment* hadjustment,
      GtkAdjustment* vadjustment
    )

#### Description [src]

Creates a new `GtkViewport`.

The new viewport uses the given adjustments, or default adjustments if none are given.

#### Parameters

`hadjustment` | `GtkAdjustment`
| horizontal adjustment
| Can be `NULL`
| Ownership is not transferred to the callee
`vadjustment` | `GtkAdjustment`
| vertical adjustment
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkViewport`
Ownership is not transferred to the caller